Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.messaging
Class IPAddressRequestMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.socket.messaging.SocketMessage
              rice.pastry.socket.messaging.DatagramMessage
                  rice.pastry.socket.messaging.IPAddressRequestMessage

All Implemented Interfaces:
  java.io.Serializable

public class IPAddressRequestMessage
extends DatagramMessage

Class which represents a request for the external visible IP address

Version:
  $Id: IPAddressRequestMessage.java,v 1.4 2005/06/09 16:25:55 jstewart Exp $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.pastry.socket.messaging.DatagramMessage
`inbound, outbound, start`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Constructor Summary
`IPAddressRequestMessage(long start)` Constructor

Method Summary
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.socket.messaging.DatagramMessage
`getInboundPath, getOutboundPath, getStartTime`

Methods inherited from class rice.pastry.messaging.Message
`getCredentials, getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IPAddressRequestMessage

    public IPAddressRequestMessage(long start)

  Constructor

Parameters:
  `start` - DESCRIBE THE PARAMETER

Method Detail

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.